<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - report.info - /home/mila/Desktop/ProjekatRS/08-mainant/src/mainwindow.cpp - functions</title>
  <link rel="stylesheet" type="text/css" href="../../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../../index.html">top level</a> - <a href="index.html">home/mila/Desktop/ProjekatRS/08-mainant/src</a> - mainwindow.cpp<span style="font-size: 80%;"> (<a href="mainwindow.cpp.gcov.html">source</a> / functions)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">report.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">36</td>
            <td class="headerCovTableEntry">294</td>
            <td class="headerCovTableEntryLo">12.2 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2021-03-29 02:25:54</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">4</td>
            <td class="headerCovTableEntry">30</td>
            <td class="headerCovTableEntryLo">13.3 %</td>
          </tr>
          <tr><td><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <center>
  <table width="60%" cellpadding=1 cellspacing=1 border=0>
    <tr><td><br></td></tr>
    <tr>
      <td width="80%" class="tableHead">Function Name <span class="tableHeadSort"><img src="../../../../../../glass.png" width=10 height=14 alt="Sort by function name" title="Sort by function name" border=0></span></td>
      <td width="20%" class="tableHead">Hit count <span class="tableHeadSort"><a href="mainwindow.cpp.func-sort-c.html"><img src="../../../../../../updown.png" width=10 height=14 alt="Sort by hit count" title="Sort by hit count" border=0></a></span></td>
    </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#185">_ZN10MainWindow10classAddedE7QString7QVectorIS0_ES2_S2_S2_S2_S2_S2_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#365">_ZN10MainWindow10classAddedE7QStringS0_S0_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#351">_ZN10MainWindow10getClassIdEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#93">_ZN10MainWindow11putFunctionEP15QListWidgetItem</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#153">_ZN10MainWindow12putReferenceEP15QListWidgetItem</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#322">_ZN10MainWindow13functionAddedE7QString</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#286">_ZN10MainWindow15filterFunctionsEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#413">_ZN10MainWindow16onVarNameEnteredEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#49">_ZN10MainWindow16putClassInstanceEP15QListWidgetItem</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#183">_ZN10MainWindow18onDeletedStartNodeEP4Node</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#424">_ZN10MainWindow19addVisibleInstancesEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#353">_ZN10MainWindow19on_AddClass_clickedEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#443">_ZN10MainWindow20onReadVariablesNamesEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#328">_ZN10MainWindow21makeStringForFunctionE7QStringS0_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#295">_ZN10MainWindow22on_AddFunction_clickedEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#277">_ZN10MainWindow22on_actionRun_triggeredEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#172">_ZN10MainWindow23onDeletedReferencedNodeE7QString</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#275">_ZN10MainWindow23on_actionQuit_triggeredEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#378">_ZN10MainWindow26on_actionCompile_triggeredEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#253">_ZN10MainWindow26on_actionRestart_triggeredEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#258">_ZN10MainWindow28on_actionOpen_Code_triggeredEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#383">_ZN10MainWindow30on_actionFormat_Code_triggeredEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#345">_ZN10MainWindow5getUiEv</a></td>
              <td class="coverFnHi">46</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#142">_ZN10MainWindow6putVarEP15QListWidgetItem</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#349">_ZN10MainWindow9getFuncIdEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#347">_ZN10MainWindow9getParserEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#170">_ZN10MainWindow9onPutNodeEP15QListWidgetItem</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#2">_ZN10MainWindowC2EP7QWidget</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#47">_ZN10MainWindowD0Ev</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mainwindow.cpp.gcov.html#47">_ZN10MainWindowD2Ev</a></td>
              <td class="coverFnHi">1</td>
            </tr>
  </table>
  <br>
  </center>
  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
